[meta-cgl][PATCH] crmsh: add python3-* rdepends


Yu, Mingli
 

From: Mingli Yu <mingli.yu@...>

crmsh switches to python3 after crmsh upgrade to
4.20 in the commit[059be42 crmsh: Update to 4.20],
so update the RDEPENDS to fix below error:
# crm status
Fatal error:
No module named 'lxml'

# crm status
Fatal error:
No module named 'parallax'

Signed-off-by: Mingli Yu <mingli.yu@...>
---
meta-cgl-common/recipes-cgl/crmsh/crmsh_4.20.bb | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/meta-cgl-common/recipes-cgl/crmsh/crmsh_4.20.bb b/meta-cgl-common/recipes-cgl/crmsh/crmsh_4.20.bb
index 0eb1e58..add7dba 100644
--- a/meta-cgl-common/recipes-cgl/crmsh/crmsh_4.20.bb
+++ b/meta-cgl-common/recipes-cgl/crmsh/crmsh_4.20.bb
@@ -11,7 +11,7 @@ DEPENDS = "asciidoc-native \
libxslt-native \
python-setuptools-native \
"
-RDEPENDS_${PN} = "pacemaker python-lxml gawk bash"
+RDEPENDS_${PN} = "pacemaker python3-lxml python3-parallax gawk bash"

S = "${WORKDIR}/git"
SRC_URI = "git://github.com/ClusterLabs/${BPN}.git \
--
2.7.4

Join yocto@lists.yoctoproject.org to automatically receive all group messages.